### Method

# Gom CommandBuilder build_update

#### Declaration [src]

    GomCommand*
    gom_command_builder_build_update (
      GomCommandBuilder* builder,
      GomResource* resource
    )

#### Description [src]

Builds a new `GomCommand` that will update the contents stored for `resource` in the underlying database.

#### Parameters

`resource`

  Type: `GomResource`

  A `GomResource`.

  The data is owned by the caller of the method.

#### Return value

Type: `GomCommand`

A `GomCommand`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.